Loading...
Searching...
No Matches
Dune::TypeTree::evaluate_if_meta_function< F > Struct Template Reference

Meta function that evaluates its argument iff it inherits from meta_function. More...

`#include <dune/typetree/typetraits.hh>`

## Public Types

typedef std::conditional< std::is_base_of< meta_function, F >::value, lazy_evaluate< F >, lazy_identity< F > >::type::type | type

## Detailed Description

template<typename F>
struct Dune::TypeTree::evaluate_if_meta_function< F >

Meta function that evaluates its argument iff it inherits from meta_function.

## Member Typedef Documentation

## type

template<typename F>

typedef std::conditional<std::is_base_of<meta_function,F>::value,lazy_evaluate<F>,lazy_identity<F>>::type::type Dune::TypeTree::evaluate_if_meta_function< F >::type

The documentation for this struct was generated from the following file:

- typetraits.hh